package domain

type AlibabaWdkMarketingExpirePromotionDeleteExpirePeriodInfo struct {
	/*
	   0到24，小时数值     */
	EndHour *int64 `json:"end_hour,omitempty" `

	/*
	   0到24，小时数值     */
	StartHour *int64 `json:"start_hour,omitempty" `

	/*
	   外部活动id     */
	OutId *int64 `json:"out_id,omitempty" `

	/*
	   优惠具体折扣，1到1000     */
	PromotionValue *int64 `json:"promotion_value,omitempty" `
}

func (s *AlibabaWdkMarketingExpirePromotionDeleteExpirePeriodInfo) SetEndHour(v int64) *AlibabaWdkMarketingExpirePromotionDeleteExpirePeriodInfo {
	s.EndHour = &v
	return s
}
func (s *AlibabaWdkMarketingExpirePromotionDeleteExpirePeriodInfo) SetStartHour(v int64) *AlibabaWdkMarketingExpirePromotionDeleteExpirePeriodInfo {
	s.StartHour = &v
	return s
}
func (s *AlibabaWdkMarketingExpirePromotionDeleteExpirePeriodInfo) SetOutId(v int64) *AlibabaWdkMarketingExpirePromotionDeleteExpirePeriodInfo {
	s.OutId = &v
	return s
}
func (s *AlibabaWdkMarketingExpirePromotionDeleteExpirePeriodInfo) SetPromotionValue(v int64) *AlibabaWdkMarketingExpirePromotionDeleteExpirePeriodInfo {
	s.PromotionValue = &v
	return s
}
